import { Routes } from '@angular/router';
import { LoginComponent } from './pages/login/login.component';
import { RegisterComponent } from './pages/register/register.component';
import { DashboardComponent } from './pages/dashboard/dashboard.component';
import { authGuard } from './auth/auth.guard';
import { FaceComponent } from './pages/face/face.component';
export const routes: Routes = [
    {
        path: '', redirectTo: '/login', pathMatch: 'full'
    },
    {
        path: 'login', component: LoginComponent
    },
    {
        path: 'register', component: RegisterComponent
    },

    {
        path: 'dashboard', component: DashboardComponent, canActivate: [authGuard]
    },

    {
        path: 'face', component: FaceComponent, canActivate: [authGuard]
    }
];